
## Regions

The base URL depends on your project's data residency. In all examples on this page, use the default base URL unless your project uses Amplitude's EU data center—in that case use the EU base URL in this table.

Requests go to `https://amplitude.com` (default) or `https://analytics.eu.amplitude.com` (EU). The `https://analytics.amplitude.com` hostname is the Analytics web app (browser UI); use the hosts in this table for REST requests, not `analytics.amplitude.com`.

| Data residency | Base URL                             |
| -------------- | ------------------------------------ |
| Default        | `https://amplitude.com`              |
| EU             | `https://analytics.eu.amplitude.com` |

## Create a release

`POST https://amplitude.com/api/2/release`

Send the release's parameters as a JSON payload or as query parameters.

{% code-group %}
```bash Query param
POST /api/2/release?version=2.2&release_start=2022-01-01 00:00:00&release_end=2022-01-01 00:00:00&title=New Feature&description=Releasing the new paid feature. &platforms=iOS&created_by=&chart_visibility=true HTTP/1.1
Host: amplitude.com
Authorization: Basic {api-key}:{secret-key}
```

```bash JSON payload
POST /api/2/release HTTP/1.1
Host: amplitude.com
Authorization: Basic {api-key}:{secret-key}
Content-Type: application/json
Content-Length: 260


{
    "chart_visibility": "true",
    "created_by": "User",
    "description": "Releasing the new paid feature. ",
    "platforms": "iOS",
    "release_end": "2022-01-01 00:00:00",
    "release_start": "2022-01-01 00:00:00",
    "title": "Big new feature",
    "version": "3.5"
}
```
{% /code-group %}

### Release parameters

| Name               | Description                                                                                                           |
| ------------------ | --------------------------------------------------------------------------------------------------------------------- |
| `version`          | Required. The version of your product corresponding to this release.                                                  |
| `release_start`    | Required. Timestamp corresponding to the start of this release in UTC. Must be in this format: `yyyy-MM-dd HH:mm:ss`. |
| `release_end`      | Optional. Timestamp corresponding to the end of this release in UTC. Must be in this format: `yyyy-MM-dd HH:mm:ss`.   |
| `title`            | Required. A name for the release.                                                                                     |
| `description`      | Optional. A description for the release.                                                                              |
| `platforms`        | Optional. A list of platforms for this release.                                                                       |
| `created_by`       | Optional. Name of the user creating the release, as a string.                                                         |
| `chart_visibility` | Optional. Defaults to true. When true, the release appears on charts as an annotation.                                |

## Response

A successful request returns a JSON response with the release's information.

```json
{
  "success": true,
  "release": {
    "id": "xbcehyc",
    "app_id": 50000,
    "org_id": 10001,
    "version": "3.5",
    "release_start": "2022-01-01 00:00:00",
    "release_end": "2022-01-01 00:00:00",
    "type": "integration",
    "title": "Big new feature for iOS",
    "description": "Releasing the new paid feature. ",
    "platforms": ["iOS"],
    "chart_visibility": true,
    "params": {
      "created": 1646324226364,
      "created_by": "A User",
      "last_modified": 1646324226364,
      "last_modified_by": "A User"
    }
  }
}
```

## Status codes

| Code | Message                                     |
| ---- | ------------------------------------------- |
| 200  | Success                                     |
| 400  | Bad Request. Check the message for details. |
